Package org.drinkless.tdlib

# Class TdApi.ForwardSource

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ForwardSource

Enclosing class:
  `TdApi`

public static class TdApi.ForwardSource extends TdApi.Object
Contains information about the last message from which a new message was forwarded last time.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to which the message that was forwarded belonged; may be 0 if unknown.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the message is sent; 0 if unknown.
  `boolean`
  `isOutgoing`
  True, if the message that was forwarded is outgoing; always false if sender is unknown.
  `long`
  `messageId`
  Identifier of the message; may be 0 if unknown.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of the message; may be null if unknown or the new message was forwarded not to Saved Messages.
  `String`
  `senderName`
  Name of the sender of the message if the sender is hidden by their privacy settings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForwardSource()`
  Contains information about the last message from which a new message was forwarded last time.
  `ForwardSource(long chatId, long messageId, TdApi.MessageSender senderId, String senderName, int date, boolean isOutgoing)`
  Contains information about the last message from which a new message was forwarded last time.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which the message that was forwarded belonged; may be 0 if unknown.

  - ### messageId

    public long messageId
    Identifier of the message; may be 0 if unknown.

  - ### senderId

    @Nullable public TdApi.MessageSender senderId
    Identifier of the sender of the message; may be null if unknown or the new message was forwarded not to Saved Messages.

  - ### senderName

    public String senderName
    Name of the sender of the message if the sender is hidden by their privacy settings.

  - ### date

    public int date
    Point in time (Unix timestamp) when the message is sent; 0 if unknown.

  - ### isOutgoing

    public boolean isOutgoing
    True, if the message that was forwarded is outgoing; always false if sender is unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ForwardSource

    public ForwardSource()
    Contains information about the last message from which a new message was forwarded last time.

  - ### ForwardSource

    public ForwardSource(long chatId, long messageId, TdApi.MessageSender senderId, String senderName, int date, boolean isOutgoing)
    Contains information about the last message from which a new message was forwarded last time.
    Parameters:
      `chatId` - Identifier of the chat to which the message that was forwarded belonged; may be 0 if unknown.
      `messageId` - Identifier of the message; may be 0 if unknown.
      `senderId` - Identifier of the sender of the message; may be null if unknown or the new message was forwarded not to Saved Messages.
      `senderName` - Name of the sender of the message if the sender is hidden by their privacy settings.
      `date` - Point in time (Unix timestamp) when the message is sent; 0 if unknown.
      `isOutgoing` - True, if the message that was forwarded is outgoing; always false if sender is unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR